Uncaught TypeError: window.update_interface_table is not a function

03/15/2023 01:24 PM - Ron Lavi

Status: New   

Priority: Normal   

Assignee:    

Category: Compute resources - VMware   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link: 2106022 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=2106022

Description of problem:

When editing Compute profile field for a VMWare CR, I get the following error in the browser console:

```

Uncaught TypeError: window.update_interface_table is not a function

success vmware.js:79

jQuery 6

onClusterChange vmware.js:68

onClusterChange vmware.js:22

onchange new:1

jQuery 5

triggerChange select2.js:1168

onSelect select2.js:2465

selectHighlighted select2.js:1870

init select2.js:807

bind select2.js:681

jQuery 8

init select2.js:804

select2 select2.js:3391

jQuery 2

select2 select2.js:3378

activate_select2 application-9111693c38a60f2b64407f369c1c059a54bee46206e49709bda0db678359fe9c.js:1

onContentLoad application-9111693c38a60f2b64407f369c1c059a54bee46206e49709bda0db678359fe9c.js:1

jQuery 5

<anonymous> application-9111693c38a60f2b64407f369c1c059a54bee46206e49709bda0db678359fe9c.js:3

jQuery 7

Webpack 7

vmware.js:79:13

```

Also, this causes issues in automation and is perhaps related:

```

jQuery.active

1

```

Version-Release number of selected component (if applicable):

Reproduced on Sat 6.11.0 and 6.10.7 with VMWare 6 and 7

How reproducible:

Deterministic

Steps to Reproduce:

1. Have a Satellite with some CR of type VMWare

2. Infrastructure -> Compute Profiles -> select any -> select the VMWare CR
3. Open console (ctrl+shift+k in Firefox)

4. Click the Cluster dropdown, select some cluster

Actual results:

Above mentioned error

Expected results:

Not sure what it's supposed to do but definitely no error

History

#1 - 03/15/2023 01:50 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/9654 added

#2 - 09/01/2023 01:23 AM - The Foreman Bot

- Status changed from Ready For Testing to New

- Pull request deleted (https://github.com/theforeman/foreman/pull/9654)
